<h2 class="display-4">Usluge</h2>
<div class="p-2">
    <a class="btn btn-primary" href="/proizvodi-usluge/dodaj">Dodaj novu stavku</a>
</div>

<div class="d-flex flex-row-reverse bd-highlight mb-2">
    <div class="p-2 bd-highlight">
        <select (change)="onTableSizeChange($event)" class="custom-select">
            <option *ngFor="let size of tableSizes" [ngValue]="size">
                {{ size }}
            </option>
        </select>
    </div>
</div>

<!-- Desktop view -->
<div class="d-none d-md-block">
    <table class="table table-striped">
        <thead class="thead-dark">
            <tr>
                <th>Naziv</th>
                <th>Opis</th>
                <th>JM</th>
                <th>Cena/JM</th>
                <th>% PDV</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let usluga of usluge | paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
            };">
                <th><a href="/proizvodi-usluge/{{usluga._id}}">{{ usluga.naziv }}</a></th>
                <td>{{ usluga.opis }}</td>
                <td>{{ usluga.jedinica_mere }}</td>
                <td>{{usluga.cena_po_jedinici_mere}}</td>
                <td>{{usluga.pdv}}%</td>
                <td>
                    <div class="form-group">
                        <a class="btn btn-primary btn-sm" href="/proizvodi-usluge/{{usluga._id}}"  title="Izmeni uslugu">
                            <i class="fas fa-pen"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <button class="btn btn-primary btn-sm delete-icon" (click)="deleteItem(usluga._id)"  title="Obriši uslugu">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<!-- Mobile view -->
<div class="d-block d-md-none">
    <div *ngFor="let usluga of usluge | paginate : {
        itemsPerPage: tableSize,
        currentPage: page,
        totalItems: count
    };">
        <div class="row border">
            <div class="col-4 px-2">Naziv:</div>
            <div class="col-8 text-truncate"><a href="/proizvodi-usluge/{{usluga._id}}">{{
                    usluga.naziv }}</a></div>

            <div class="col-4 px-2">Opis:</div>
            <div class="col-8 text-truncate">{{
                usluga.opis }}</div>

            <div class="col-4 px-2">JM:</div>
            <div class="col-8 text-truncate">{{ usluga.jedinica_mere }}</div>

            <div class="col-4 px-2">Cena/JM:</div>
            <div class="col-8 text-truncate">{{ usluga.cena_po_jedinici_mere | number : '1.2-2' }}</div>

            <div class="col-4 px-2">PDV:</div>
            <div class="col-8 text-truncate">{{ usluga.pdv }}%</div>

            <div class="col-12 text-center pt-2 pt-md-0">
                <button class="btn btn-primary btn-sm delete-icon" (click)="deleteItem(usluga._id)" title="Obriši">
                    <i class="fas fa-trash-alt"></i>
                </button>
            </div>
        </div>
        <hr />
    </div>
</div>

<div class="d-flex justify-content-center">
    <pagination-controls previousLabel="Prev" nextLabel="Next"
        (pageChange)="onTableDataChange($event)">
    </pagination-controls>
</div>